%define ver_major 0.8

Name: gstreamer
Version: %ver_major.1
Release: alt1

%def_disable static
%def_enable tests
%def_without libmmx

Summary: GStreamer Streaming-media framework runtime
License: LGPL
Group: System/Libraries
Url: http://%name.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Requires: lib%name = %version-%release
Requires(post): %name-utils = %version-%release

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Source1: %name.rpmmacros
Patch: %name-0.7.5-alt-dependency-loop.patch
Patch1: %name-0.8.0-alt-no-fancy-docs.patch

%define glib_ver 2.4.0
%define gtk_doc_ver 1.1
%define python_ver 2.1
%define libxml2_ver 2.5.6

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver
BuildPreReq: python >= %python_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: autoconf >= 2.52
BuildPreReq: automake >= 1.6
BuildPreReq: pkgconfig >= 0.8.0

# Automatically added by buildreq on Fri Apr 16 2004
BuildRequires: ORBit2-devel OpenSP XFree86-libs cvs docbook-dtds docbook-style-dsssl docbook-style-xsl docbook-utils flex gcc-c++ gcc-g77 ghostscript-classic ghostscript-common ghostscript-module-X glib glib2-devel gnome-vfs2-devel gtk-doc libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgimp-print libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel openjade pkgconfig python sgml-common tetex-dvips transfig urw-fonts xml-common xml-utils xsltproc zlib-devel

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package also contains some utilities to register analyze and run
Gstreamer plugins.

%package -n lib%name
Summary: Shared libraries of GStreamer
Group: System/Libraries
Requires: glib2 >= %glib_ver
Requires: libxml2 >= %libxml2_ver

%description -n lib%name
This package contains the shared libraries of the GStreamer media framework.

%package devel
Summary: Development files for GStreamer streaming-media framework
Group: Development/C
Requires: lib%name = %version-%release
Requires: %name-utils = %version-%release
Requires: glib2-devel >= %glib_ver

%description devel
This package contains the libraries, header files and documentation
necessary to develop applications and plugins for GStreamer.

To make work with GStreamer documentation more comfortable install
%name-devel-book package.

%package devel-static
Summary: Static libraries for GStreamer streaming-media framework
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains the static libraries necessary to develop
statically linked applications and plugins for GStreamer.

%package utils
Summary: GStreamer utilities
Group: System/Libraries
Requires: lib%name = %version-%release

%description utils
This package contains utilities needed to work with GStreamer.

%define pkgdocdir %_docdir/%name-%version
%define _gtk_docdir %_datadir/gtk-doc/html
%define gstreamer_cachedir %_var/lib/%name-%ver_major
%define _gst_libdir %_libdir/%name-%ver_major

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
# Required by Patch0, Patch1
NOCONFIGURE=1 ./autogen.sh

%configure \
	--program-suffix="" \
	--enable-docs-build \
	--disable-examples \
	--disable-rpath \
%if_with libmmx	
	--enable-libmmx \
%endif	
	--with-html-dir=%_gtk_docdir \
	--with-cachedir=%gstreamer_cachedir \
	%{subst_enable tests} \
	%{subst_enable static}

# SMP-incompatible build
%make

%install
%makeinstall HTML_DIR=%buildroot%_gtk_docdir
%__install -d -m755 %buildroot%gstreamer_cachedir

# requires to register gst-plugins.
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__install -p -m644 %SOURCE1 %buildroot%_sysconfdir/rpm/macros.d/%name

# docs
%__install -p -m644 AUTHORS ChangeLog NEWS README RELEASE REQUIREMENTS TODO \
	%buildroot%pkgdocdir/
%__bzip2 -9 %buildroot%pkgdocdir/ChangeLog
%__ln_s %_licensedir/LGPL-2 %buildroot%pkgdocdir/COPYING.LIB

%make -C examples distclean
%__cp -a examples %buildroot%pkgdocdir/

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang %name-%ver_major

%post
%_bindir/gst-register --gst-debug-disable 2>/dev/null
%_bindir/gst-compprep 2>/dev/null ||:

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name-%ver_major.lang
%_gst_libdir/*.so
%dir %gstreamer_cachedir
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog*
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/RELEASE
%pkgdocdir/REQUIREMENTS
%pkgdocdir/TODO

%files  -n lib%name
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/COPYING.LIB

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_sysconfdir/rpm/macros.d/%name
%doc %_gtk_docdir/*
%dir %pkgdocdir
%pkgdocdir/[a-z]*

%if_enabled static
%files devel-static
%_libdir/*.a
%_gst_libdir/*.a
%endif

%files utils
%_bindir/*
%_man1dir/*

%changelog
* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Sun Feb 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sat Jan 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt2.1
- fix %%post and macros.

* Sun Jan 18 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.3-alt2
- Fix incorrect dependencies causing a rebuild on make install [Patch0]
- Don't build PDF and PS documentation, this process is brittle,
  pulls in a ton of dependencies, and produces only extra copies
  in addition to HTML [Patch1]
- Corrected doc installation, include manuals, faq and examples
- Buildreq
- aris:
    + removed unusual devhelp stuff

* Sat Dec 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Sun Apr 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt1
- new version.

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1.2
- fixed dependece for devel-static subpackage.

* Thu Jan 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1.1
- removed cycle dependence.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- new version.
- utils subpackage to fix %%postun processes for gstreamer-plugins.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Fri Nov 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.6
- Fixed build (SMP-incompatible build)
- %%post improved.
- Added %%gst_compprep macro.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2

* Wed Apr 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt0.1
- First build for Sisyphus.
